Skip to main content
`Ctrl`+`K`

# PCMGGetType

Finds the form of multigrid the `PCMG` is using multiplicative, additive, full, or the Kaskade algorithm.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetType(PC pc, PCMGType *type)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - one of `PC_MG_MULTIPLICATIVE`, `PC_MG_ADDITIVE`, `PC_MG_FULL`, `PC_MG_KASKADE`, `PCMGCycleType`

## See Also

KSP: Linear System Solvers, `PCMGType`, `PCMG`, `PCMGGetLevels()`, `PCMGSetLevels()`, `PCMGSetType()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages